/* Text */
p {
	margin-bottom: 0px;
}

/* HTML */
html {
	display: flex;
	justify-content: center;
}

/* Body */
body {
    width: 960px;
	padding: 0px;
	background-color: #040A2C;
	background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/header.jpg), url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/footer.jpg);
	background-repeat: no-repeat;
	background-position: center top, center bottom;
	color: #FFF7E5;
	text-align: center;
}

/* Languages */
#lang-bar {
	text-align: right;
}
.lang-element {
	display: inline-block;
}

.lang-element a {
	color: #F9D0FF;
	font-size: 16px;
	font-family: 'Roboto', sans-serif;
}

/* Header */
#lf-logo {
	background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/lf-logo.png);
	background-position: center;
	background-repeat: no-repeat;
	width: 100%;
	height: 255px;
	margin-bottom: 60px;
	margin-top: 150px;
}

#humble-widget {
	margin-bottom: 40px;
}

/* Blue banner */
.banner-img {
	background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/soon-bg-wide.png);
	background-position: center;
	background-repeat: no-repeat;
	width: 895px;
	height: 116px;
	color: #040A2C;
	font-family: 'Montserrat', sans-serif;
	font-size: 32px;
	display: flex;
    flex-direction: column;
    justify-content: space-around;
	margin: auto;
}

.banner-img p {
	margin-block-start: 0;
}

/* Platforms */
#platforms-container {
	margin-top: 50px;
}

.platform {
	vertical-align: top;
	display: inline-block;
}

#platform-spacer {
	width: 70px;
	display: inline-block;
}

/* Switch */
#btn-switch {
	float: left;
	width: 320px;
	height: 94px;
	background-repeat: no-repeat;
	background-position: 0px 0px;
	background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/switch-logo.png);
}
#btn-switch-container:hover #btn-switch {
	background-position: -320px 0px;
}
#btn-switch-container:active #btn-switch {
	background-position: -640px 0px;
}

#btn-switch-container {
	display: inline-block;
	margin-top: 10px;
}
#btn-switch-container p{
	padding-left: 10px;
}

/* Steam */
#btn-steam {
	float: left;
	width: 305px;
	height: 94px;
	background-repeat: no-repeat;
	background-position: 0px 0px;
	background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/steam-logo.png);
}
#btn-steam-container:hover #btn-steam {
	background-position: -305px 0px;
}
#btn-steam-container:active #btn-steam {
	background-position: -608px 0px;
}

#btn-steam-container {
	display: inline-block;
	margin-top: 10px;
}
#btn-steam-container p{
	padding-left: 10px;
}

#open-in-client {
	margin-top: 10px;
	font-size: 17px;
	font-weight: 300;
	font-family: 'Roboto', sans-serif;
}
#open-in-client a{
	color: #FFF7E5;
}

/* Features */
#texts-container {
	width: 800px;
	margin: 100px auto 0px auto;
}

.desc-main-text {
	font-family: 'Montserrat', sans-serif;
	font-size: 22px;
	color: #81C8F4;
	text-align: left;
}

.desc-feature-container {
	width: 360px;
	text-align: left;
	margin-top: 50px;
	display: inline-block;
	vertical-align: top;
}

.desc-feature-container-spacer {
	width: 70px;
	display: inline-block;
}

.feature-title {
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
}

.feature-desc {
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	color: #81C8F4;
}

/* Footer */
.footer {
	padding-top: 80px;
}
.footer-text {
	color: #A69BAE;
	font-size: 12px;
	font-weight: 300;
	font-family: 'Roboto', sans-serif;
}
.footer-text a{
	color: #A69BAE;
	font-size: 12px;
	font-weight: 300;
	font-family: 'Roboto', sans-serif;
}

.legalNotice-switch {
	margin-bottom: 0px;
}
.legalNotice {
	color: #A69BAE;
	font-size: 12px;
	font-weight: 300;
	font-family: 'Roboto', sans-serif;
}

/****************************/
/*		MEDIA QUERIES		*/
/****************************/
/* 600px to 1000px */
@media (max-width: 1000px) and (min-width: 100px) {
	body {
		width: 600px;
		background-image: url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/header-1000.jpg), url(https://d1klbyjhzn1c97.cloudfront.net/light-content/themes/lightfall/img/launch/footer-1000.jpg);
	}
	
	#lf-logo {
		margin-bottom: 25px;
	}
	
	#humble-widget iframe {
		width: 100%;
	}
	
	#video iframe {
		height: 336px;
	}
	
	.banner-img {
		width: 500px;
	}
	
	#platforms-container {
		margin: 50px auto;
	}
	
	#platform-spacer {
		width: 0px;
	}
	
	#btn-switch-container {
		margin-top: 0px;
		margin-bottom: 50px;
	}
	
	#btn-steam-container {
		margin-top: 0px;
	}
	
	#texts-container {
		width: 540px;
		margin: 75px auto 0px auto;
	}
	
	.desc-feature-container {
		float: none;
		margin-right: 0px;
		display: block;
		text-align: center;
		width: 540px;
	}
	
	.desc-feature-container-spacer {
		display: none;
	}
}

@media (max-width: 492px) and (min-width: 100px) {
	#humble-widget iframe {
		height: 209px;
	}
}

/* 100px to 600px */
@media (max-width: 600px) and (min-width: 100px) {
	body {
		width: 100%;
		padding: 0px 10px 0px 10px;
	}
	
	#lf-logo {
		margin-top: 50px;
	}
	
	#texts-container {
		width: 90%;
		display: default;
	}
	
	.desc-main-text {
		font-size: 18px;
		text-align: center;
	}
	
	.banner-img {
		width: 400px;
	}
	
	.desc-feature-container {
		width: 100%;
	}
}

/* 100px to 600px */
@media (max-width: 400px) and (min-width: 100px) {
	.banner-img {
		width: 300px;
	}
}